| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Functions
quaternion_geometric.hpp File Reference

GLM_EXT_quaternion_geometric More...

Go to the source code of this file.

## Functions
template<typename T , qualifier Q>
GLM_FUNC_QUALIFIER qua< T, Q > | cross (qua< T, Q > const &q1, qua< T, Q > const &q2)
| Compute a cross product. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | dot (qua< T, Q > const &x, qua< T, Q > const &y)
| Returns dot product of q1 and q2, i.e., q1[0] * q2[0] + q1[1] * q2[1] + ... More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | length (qua< T, Q > const &q)
| Returns the norm of a quaternions. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | normalize (qua< T, Q > const &q)
| Returns the normalized quaternion. More...

## Detailed Description

GLM_EXT_quaternion_geometric

Definition in file quaternion_geometric.hpp.